#
# spec file for package openSUSE-release.spec
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define product openSUSE
%define betaversion %{nil}
%define codename Leap
Name:           openSUSE-release
Version:        15.1
Release:        lp151.304.1
# 1 is the product release, not the build release of this package 
Provides:       aaa_version
Provides:       distribution-release
Provides:       suse-release = %{version}-%{release}
Provides:       suse-release-oss = %{version}-%{release}
%if 0%{?beta_version}
# Give zypp a hint that this product must be kept up-to-date using zypper dup, not up (boo#1061384)
Provides:       product-update() = dup
%endif
# In case we have more than one product in the FTP tree, we need to give yast a hint
Provides:       system-installation() = openSUSE
Obsoletes:      aaa_version
Obsoletes:      openSUSE-Promo-release <= 11.1
Obsoletes:      openSUSE-release-live <= 11.0
Obsoletes:      product_flavor(%{product}) < 15.1
Conflicts:      sles-release <= 10 sled-release <= 10 core-release <= 10
Conflicts:      otherproviders(distribution-release)
# bnc#826592
Provides:       weakremover(kernel-default) < 3.11
Provides:       weakremover(kernel-desktop) < 4.2
Provides:       weakremover(kernel-ec2) < 3.11
Provides:       weakremover(kernel-pae) < 3.11
Provides:       weakremover(kernel-vanilla) < 3.11
Provides:       weakremover(kernel-xen) < 3.11
# boo#1029075
Provides:       weakremover(gpg-pubkey-3d25d3d9-36e12d04)
# some hints for the solver
# default Java for Leap 15.1
Suggests:       java-11-openjdk
# preferred MTA
Suggests:       postfix
# preferred ntp daemon
Suggests:       chrony
#
Recommends:     branding-openSUSE
BuildRequires:  skelcd-control-openSUSE
BuildRequires:  skelcd-openSUSE

Source100:      weakremovers.inc
%include %{SOURCE100}
Provides:       %name-%version
Provides:       product() = openSUSE
Provides:       product(openSUSE) = 15.1-1
%ifarch x86_64
Provides:       product-register-target() = openSUSE%2DLeap%2D15.1%2Dx86_64
%endif
Provides:       product-label() = openSUSE%20Leap
Provides:       product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aopensuse%3A15.1
Provides:       product-url(releasenotes) = http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FLeap%2F15.1%2Frelease%2Dnotes%2DopenSUSE.rpm
Provides:       product-url(repository) = http%3A%2F%2Fdownload.opensuse.org%2Fdistribution%2Fleap%2F15.1%2Frepo%2Foss%2F
%ifarch x86_64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FopenSUSE%3ALeap%3A15.1%3AUpdate%2Fstandard
%endif
%ifarch x86_64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FopenSUSE%3ALeap%3A15.1%3ANonFree%3AUpdate%2Fstandard
%endif
Provides:       product-endoflife() = 2021%2D01%2D31
Requires:       product_flavor(openSUSE)


Summary:        openSUSE Leap 15.1
License:        BSD-3-Clause
Group:          System/Fhs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#PreReq:         coreutils
# the post scriptlets uses awk, boo#976913
Requires(post):  awk

%description
openSUSE Leap 15.1

%package ftp
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(ftp)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description ftp
openSUSE Leap 15.1

%files ftp
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-ftp

%package mini
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(mini)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description mini
openSUSE Leap 15.1

%files mini
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-mini

%package dvd
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(dvd)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description dvd
openSUSE Leap 15.1

%files dvd
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-dvd

%package livecd-kde
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-kde)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description livecd-kde
openSUSE Leap 15.1

%files livecd-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-kde

%package livecd-x11
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-x11)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description livecd-x11
openSUSE Leap 15.1

%files livecd-x11
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-x11

%package livecd-gnome
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-gnome)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description livecd-gnome
openSUSE Leap 15.1

%files livecd-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-gnome

%package usb-kde
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-kde)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description usb-kde
openSUSE Leap 15.1

%files usb-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-kde

%package usb-gnome
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-gnome)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description usb-gnome
openSUSE Leap 15.1

%files usb-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-gnome

%package usb-x11
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-x11)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description usb-x11
openSUSE Leap 15.1

%files usb-x11
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-x11

%package appliance-docker
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-docker)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-docker
openSUSE Leap 15.1

%files appliance-docker
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-docker

%package appliance-kvm
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-kvm)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-kvm
openSUSE Leap 15.1

%files appliance-kvm
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-kvm

%package appliance-vmware
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-vmware)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-vmware
openSUSE Leap 15.1

%files appliance-vmware
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-vmware

%package appliance-openstack
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-openstack)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-openstack
openSUSE Leap 15.1

%files appliance-openstack
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-openstack

%package appliance-hyperv
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-hyperv)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-hyperv
openSUSE Leap 15.1

%files appliance-hyperv
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-hyperv

%package appliance-custom
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-custom)
Provides:       product_flavor(openSUSE) = 15.1-1
Summary:        openSUSE Leap 15.1

%description appliance-custom
openSUSE Leap 15.1

%files appliance-custom
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-custom



%prep
%setup -qcT
mkdir license
if [ -f /CD1/license.tar.gz ]; then
  tar -C license -xzf /CD1/license.tar.gz
elif [ -f %{_libexecdir}/skelcd/CD1/license.tar.gz ]; then
  tar -C license -xzf %{_libexecdir}/skelcd/CD1/license.tar.gz
fi

%build

%install
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_libexecdir} %{buildroot}/run

# for the future: util-linux v2.33 agetty will support issue.d, move there
echo -e 'Welcome to \\S - Kernel \\r (\\l).\n\n' > %{buildroot}%{_sysconfdir}/issue

VERSION_ID=`echo %{version}|tr '[:upper:]' '[:lower:]'|sed -e 's/ //g;'`
# note: VERSION is an optional field and has no meaning other than informative on a rolling distro
# We do thus not add it to the os-release file
cat > %{buildroot}%{_libexecdir}/os-release <<EOF
NAME="openSUSE Leap"
VERSION="%{version}%{betaversion}"
ID="opensuse-leap"
ID_LIKE="suse opensuse"
VERSION_ID="$VERSION_ID"
PRETTY_NAME="openSUSE Leap %{version}%{betaversion}"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:leap:%{version}"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
EOF
ln -s ..%{_libexecdir}/os-release %{buildroot}%{_sysconfdir}/os-release

echo "Have a lot of fun..." > %{buildroot}%{_sysconfdir}/motd
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
mkdir -p %{buildroot}%{_sysconfdir}/YaST2/
echo %{buildroot}
if [ -f /CD1/control.xml ]; then
  install -m 644 /CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
elif [ -f %{_libexecdir}/skelcd/CD1/control.xml ]; then
  install -m 644 %{_libexecdir}/skelcd/CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
fi

# fate#319341, make openSUSE-release own YaST license files
# see also jsc#SLE-3067 for mess caused by SLE
install -D -d -m 755 "%{buildroot}%{_datadir}/licenses/product/base"
install -D -d -m 755 "%{buildroot}%{_defaultlicensedir}"
cp -a license "%{buildroot}%{_defaultlicensedir}/%{name}"
pushd license
# SLE compat
for i in *; do
	ln -s "%{_defaultlicensedir}/%{name}/$i" %{buildroot}%{_datadir}/licenses/product/base/$i
done

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/openSUSE.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>openSUSE</vendor>
  <name>openSUSE</name>
  <version>15.1</version>
  <release>1</release>
  <endoflife>2021-01-31</endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:opensuse:opensuse:15.1</cpeid>
  <productline>Leap</productline>
  <codestream>
    <name>openSUSE Leap 15</name>
    <endoflife>2021-11-30</endoflife>
  </codestream>
  <register>
    <target>openSUSE-Leap-15.1-x86_64</target>
    <pool>
      <repository url="http://download.opensuse.org/distribution/leap/15.1/repo/oss/">
        <zypp name="openSUSE-Leap-15.1-Pool" alias="openSUSE-Leap-15.1-Pool"/>
      </repository>
      <repository url="http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/">
        <zypp name="openSUSE-Leap-15.1-NonOss-Pool" alias="openSUSE-Leap-15.1-NonOss-Pool"/>
      </repository>
    </pool>
    <updates>
      <distrotarget arch="x86_64">openSUSE-Leap-15.1-x86_64</distrotarget>
      <repository project="openSUSE:Leap:15.1:Update" name="standard" arch="x86_64">
        <zypp name="openSUSE-Leap-15.1-Updates" alias="openSUSE-Leap-15.1-Updates"/>
      </repository>
      <repository project="openSUSE:Leap:15.1:NonFree:Update" name="standard" arch="x86_64">
        <zypp name="openSUSE-Leap-15.1-NonOss-Updates" alias="openSUSE-Leap-15.1-NonOss-Updates"/>
      </repository>
    </updates>
  </register>
  <repositories>
%ifarch x86_64
      <repository type="update" repoid="obsrepository://build.opensuse.org/openSUSE:Leap:15.1:Update/standard" />
%endif
%ifarch x86_64
      <repository type="update" repoid="obsrepository://build.opensuse.org/openSUSE:Leap:15.1:NonFree:Update/standard" />
%endif
  </repositories>
  <updaterepokey>000000000</updaterepokey>
  <summary>openSUSE Leap 15.1</summary>
  <shortsummary>openSUSE Leap</shortsummary>
  <description>openSUSE Leap 15.1</description>
  <linguas>
    <language>cs</language>
    <language>da</language>
    <language>de</language>
    <language>en</language>
    <language>en_GB</language>
    <language>en_US</language>
    <language>es</language>
    <language>fi</language>
    <language>fr</language>
    <language>hu</language>
    <language>it</language>
    <language>ja</language>
    <language>nb</language>
    <language>nl</language>
    <language>pl</language>
    <language>pt</language>
    <language>pt_BR</language>
    <language>ru</language>
    <language>sv</language>
    <language>zh</language>
    <language>zh_CN</language>
    <language>zh_TW</language>
    <language>ar</language>
    <language>bg</language>
    <language>bs</language>
    <language>ca</language>
    <language>el</language>
    <language>eo</language>
    <language>et</language>
    <language>fa</language>
    <language>id</language>
    <language>ko</language>
    <language>lt</language>
    <language>sk</language>
    <language>sl</language>
    <language>uk</language>
  </linguas>
  <urls>
    <url name="releasenotes">http://doc.opensuse.org/release-notes/x86_64/openSUSE/Leap/15.1/release-notes-openSUSE.rpm</url>
    <url name="repository">http://download.opensuse.org/distribution/leap/15.1/repo/oss/</url>
  </urls>
  <buildconfig>
    <producttheme>openSUSE</producttheme>
    <create_flavors>true</create_flavors>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <releasepackage name="openSUSE-release" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>openSUSE</distribution>
  </installconfig>
  <runtimeconfig/>
</product>

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-ftp
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-ftp/README << EOF
This package only exists for providing the product flavor 'ftp'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-mini
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-mini/README << EOF
This package only exists for providing the product flavor 'mini'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-dvd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-dvd/README << EOF
This package only exists for providing the product flavor 'dvd'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-kde
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-kde/README << EOF
This package only exists for providing the product flavor 'livecd-kde'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-x11
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-x11/README << EOF
This package only exists for providing the product flavor 'livecd-x11'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-gnome
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-livecd-gnome/README << EOF
This package only exists for providing the product flavor 'livecd-gnome'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-kde
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-kde/README << EOF
This package only exists for providing the product flavor 'usb-kde'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-gnome
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-gnome/README << EOF
This package only exists for providing the product flavor 'usb-gnome'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-x11
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-usb-x11/README << EOF
This package only exists for providing the product flavor 'usb-x11'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-docker
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-docker/README << EOF
This package only exists for providing the product flavor 'appliance-docker'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-kvm
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-kvm/README << EOF
This package only exists for providing the product flavor 'appliance-kvm'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-vmware
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-vmware/README << EOF
This package only exists for providing the product flavor 'appliance-vmware'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-openstack
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-openstack/README << EOF
This package only exists for providing the product flavor 'appliance-openstack'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-hyperv
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-hyperv/README << EOF
This package only exists for providing the product flavor 'appliance-hyperv'.

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-custom
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-release-appliance-custom/README << EOF
This package only exists for providing the product flavor 'appliance-custom'.

EOF


#
# fix cpe id to have leap in it
# product converter puts name there but we can't change name as that would
# change other things too
sed -i -e '/cpeid/s/opensuse:15/leap:15/' %{buildroot}%{_sysconfdir}/products.d/openSUSE.prod

%post
# this is a base product, create symlink  bsc#1091952
if [ ! -L %{_sysconfdir}/products.d/baseproduct ]; then
	ln -sf openSUSE.prod %{_sysconfdir}/products.d/baseproduct
fi

# Upgrade path - if %{_sysconfdir}/default/grub contains any of the DISTRIBUTOR= tags
# we ever put, replace it with "", which means grub will use %{_sysconfdir}/os-release to make something up
if [ -f %{_sysconfdir}/default/grub ]; then
  DISTRIBUTOR=$(awk -F= '/^GRUB_DISTRIBUTOR/ {print $2}' %{_sysconfdir}/default/grub | tr -d '"')
  case "$DISTRIBUTOR" in
        "openSUSE" | \
        "openSUSE 13.1" | \
        "openSUSE 13.2")
                # replace GRUB_DISTRIBUTOR in %{_sysconfdir}/default/grub with ""
                sed -i "s/^GRUB_DISTRIBUTOR=.*/GRUB_DISTRIBUTOR=/" %{_sysconfdir}/default/grub
                ;;
  esac
fi

%files
%defattr(644,root,root,755)
%dir %{_datadir}/licenses/product
%{_datadir}/licenses/product/base
%license license/*
%{_sysconfdir}/os-release
%{_libexecdir}/os-release
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
%dir %{_sysconfdir}/YaST2/
%config %{_sysconfdir}/YaST2/control.xml
%config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/issue
%{_sysconfdir}/products.d
%ghost %{_sysconfdir}/products.d/baseproduct

%changelog
